> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Trades Info

> Retrieve information about specific trades/fills.




## OpenAPI

````yaml Crypto post /queryTradesInfo
openapi: 3.0.1
info:
  title: Crypto
  description: crypto
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/crypto
security:
  - apikeyAuth: []
tags:
  - name: public
  - name: private
paths:
  /queryTradesInfo:
    post:
      tags:
        - private
      summary: Query Trades Info
      description: |
        Retrieve information about specific trades/fills.
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          required: false
          style: simple
          explode: false
          schema:
            type: string
          example: application/json
      requestBody:
        content:
          application/json:
            schema:
              properties:
                nonce:
                  type: string
                  description: '(Required) '
                  example: '-77456201'
                txid:
                  type: string
                  description: >-
                    Comma delimited list of transaction IDs to query info about
                    (20 maximum)
                  example: ut do
                trades:
                  type: boolean
                  description: >-
                    Whether or not to include trades related to position in
                    output
                  example: false
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                error: []
                result:
                  THVRQM-33VKH-UCI7BS:
                    ordertxid: OQCLML-BW3P3-BUCMWZ
                    postxid: TKH2SE-M7IF5-CFI7LT
                    pair: XXBTZUSD
                    time: 1616667796.8802
                    type: buy
                    ordertype: limit
                    price: '30010.00000'
                    cost: '600.20000'
                    fee: '0.00000'
                    vol: '0.02000000'
                    margin: '0.00000'
                    misc: ''
                  TTEUX3-HDAAA-RC2RUO:
                    ordertxid: OH76VO-UKWAD-PSBDX6
                    postxid: TKH2SE-M7IF5-CFI7LT
                    pair: XXBTZEUR
                    time: 1614082549.3138
                    type: buy
                    ordertype: limit
                    price: '1001.00000'
                    cost: '0.20020'
                    fee: '0.00000'
                    vol: '0.00020000'
                    margin: '0.00000'
                    misc: ''
      security:
        - default: []
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: apikey
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````